{
  "name": "{{ agave.appsPrefix }}-dada2-dereplication-gf",
  "version": "0.1",
  "label": "DADA2 Dereplication",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/dada2-dereplication-gf-0.1",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "dada2-dereplication-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "files",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "rscript",
      "value": {
        "required": false,
        "default": "DADA2_docopt.R",
        "type": "string"
      }
    },
    { "id": "length",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "trim",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}